$(document).ready(function(){

	
	// Simple Version

	/*
$('a.myLink').click(function() {
		
		var bezier_params = {
			    start: { 
			      x: 0, 
			      y: 0, 
			      angle: -45
			    },  
			    end: { 
			      x: 600,
			      y: 600, 
			      angle: 45, 
			      length: 1.5
			    }
         }
	
	$('#myDivTwo').animate({
	
	path : new $.path.bezier(bezier_params)
	
	}, 'slow');	
			
	}); // end click function
*/

	
	// Complicated- with bounce at end


	$('a.myLink').click(function() {
		
		var bezier_params = {
			    start: { 
			      x: 0, 
			      y: 0, 
			      angle: -45
			    },  
			    end: { 
			      x: 600,
			      y: 500, 
			      angle: 45, 
			      length: 1.5
			    }
         }
	
	$('#myDivTwo').animate({
		
		opacity: 0.5
		
	}, 'slow').animate({
	
	path : new $.path.bezier(bezier_params)
	
	}, 'slow', function() {
		
		$(this).css({
			
			'-webkit-transform':'scale(1.0)',
			'border-radius': '10px'
			
		 }).animate({
			 
			 opacity: 1.0
			 
		 },'fast', function() {
			 
			 $(this).css({
				
				'-webkit-transform':'scale(0.7)' 
				 
			 });
			 
		 });
		
	 });	
			
	}); // end click function
	


	// Complicated + With progress bar
	
/*

	
	$('a.myLink').click(function() {
		
		var bezier_params = {
			    start: { 
			      x: 0, 
			      y: 0, 
			      angle: -45
			    },  
			    end: { 
			      x: 600,
			      y: 500, 
			      angle: 45, 
			      length: 1.5
			    }
         }
	
	$('#myDivTwo').animate({
		
		opacity: 0.5
		
	}, 'slow').animate({
	
	path : new $.path.bezier(bezier_params)
	
	}, 'slow', function() {
		
		$(this).css({
			
			'-webkit-transform':'scale(1.0)',
			'border-radius': '10px'
			
		 }).animate({
			 
			 opacity: 0.8
			 
		 },'fast', function() {
			 
			 $(this).css({
				
				'-webkit-transform':'scale(0.7)' 
				 
			 });
			 
		 }).delay(800).animate({
			 
			opacity: 1.0 
			 
		 }, 'slow', function() {
			 
			 
			 
			 // scale div up using -webkit-transform
		// so that the -webkit-transition in the
		// stylesheet gets called
		$('#myDivThree').css({
			
			'-webkit-transform':'scale(1.1)',
			'border-radius': '10px'
			
		}).animate({
			// animate the opacity after initial scaling
			// initial opacity is set in the stylesheet
			opacity: 0.9
			
		}, 'fast', function(){
			
			// scale the div back down to 1.0
			// after opacity is changed to complete 
			// the bouncy scaling effect
			$(this).css({
				
				'-webkit-transform':'scale(1.0)'
				
			});
			
			
			 // set initial width of progress bar
		   $('#progressBar').delay(400).css({
			   	
			   	width: '20px'
			   	
		   }).animate({
			   // animate width of progressbar
			   width: '148px'
			   
		   }, 4050);
			
			
		// scale div back up after delay
		// and change opacity to 0
		// delay must be longer than time
		// it takes for progressbar animation
		// to complete	
		}).delay(4650).animate({
			
			opacity: 0.0
			
		}, 'fast', function() {
			
			$(this).css({
				
				'-webkit-transform':'scale(1.5)'
				
			});
			
			
		});
		});
		
	 });	
			
	});
*/ // end click function

	
	
	
	
	
	
	
});